gr::dab::unpuncture_vff Class Reference

<+description of block+> More...

`#include <unpuncture_vff.h>`

Inheritance diagram for gr::dab::unpuncture_vff:
[legend]

## Public Types

typedef std::shared_ptr< unpuncture_vff > | sptr

## Static Public Member Functions

static sptr | make (const std::vector< unsigned char > &puncturing_vector, float fillval=0)
| Return a shared_ptr to a new instance of dab::unpuncture_vff.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<unpuncture_vff> gr::dab::unpuncture_vff::sptr

## Member Function Documentation

## make()

sptr gr::dab::unpuncture_vff::make | ( | const std::vector< unsigned char > & | puncturing_vector,
|  | float | fillval = 0 )

static

Return a shared_ptr to a new instance of dab::unpuncture_vff.

To avoid accidental use of raw pointers, dab::unpuncture_vff's constructor is in a private implementation class. dab::unpuncture_vff::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- unpuncture_vff.h